#ifndef  DPR

#if DEBUG
# ifndef ASSERT
#  define ASSERT 1
# endif
#endif

#if ASSERT
#  include <stdio.h>
#endif

#if DEBUG
#  define Static
#  define  DPR(x)  fprintf x
#  define  DHERE   (void)fprintf(stderr, "%s[%d]\n", __FILE__, __LINE__)
#define Dt3d_ws_status  t3d_ws_status
#define Dt3d_view_status  t3d_view_status
#define Dmat3(msg, mat3) st_pr_mat3(msg, mat3)
#define ppolyline3     t3d_Dppolyline3
#define DCODE(c)       c
#else
#  define Static  static
#  define  DPR(x)
#  define  DHERE
#define Dt3d_ws_status(msg)
#define Dt3d_view_status(msg)
#define Dmat3(msg, mat3)
#define DCODE(c)
#endif

#if ASSERT
#  define  DASSERT(p)  {if (!(p)) {\
     (void)fprintf(stderr, "%s[%d] Assertion failed, <Enter> to continue\n", \
                           __FILE__, __LINE__); (void)getchar();}; }
#else
#  define  DASSERT(p)
#endif /* ASSERT */

/* For suspension */
#define DPR0(x)
#define DHERE0
#define DASSERT0(p)
#define Dt3d_ws_status0(msg)
#define Dt3d_view_status0(msg)
#define Dmat30(msg, mat3)
#define DCODE0(c)

#if DEBUG0
/* # include <phigs/phigs.h> */
 extern void st_Dppolyline3  ARGS((Ppoint_list3 *ppl));
 extern void st_ws_status    ARGS((char *msg));
#endif

#endif  /* DPR */
