#ifndef OrIEnt
#define OrIEnt

#include "norient.h"
#include "rotquad.h"
#include "stdefun.h"


typedef struct {
   short   axe;  /* 0,1,2  for  x,y,z */
   short   dir;  /* dir = 0,1  =>  (-1)^dir = 1,-1 */
} T3D_UNITVECTOR;

typedef struct {
   T3D_UNITVECTOR  oxyz[3];
} T3D_QUAD_ROT;


typedef struct {
   float  a[3][3];
} T3D_MAT3;

typedef struct {
#ifdef NEED_ORMAT 
   T3D_MAT3      mat;
#endif
   T3D_QUAD_ROT  qr;
} T3D_MATQR;



typedef  unsigned char  T3D_ORIENT_INDEX;

typedef struct {
   T3D_ORIENT_INDEX   orient [T3D_N_ORIENT] [T3D_N_ROTQUAD];
} T3D_ROTQUAD_TABLE;
   

extern void  
t3d_set_orient_table  ARGS((
   T3D_MATQR          orient[T3D_N_ORIENT], 
   T3D_ROTQUAD_TABLE  *rqo));

#endif /* OrIEnt */
