#if 0
 
   Orientation queries 

#endif

#include "stdefun.h"
#include "orient.h"
#include "orients.h"
#include "debug.h"

static T3D_MATQR          orient[T3D_N_ORIENT];
static T3D_ROTQUAD_TABLE  rot_quad_table;

void 
t3d_get_orientation  _P2(
   (T3D_MATQR **, matqr),
   (int,        orid))
{
   static int virgin = 1;
   if (virgin) {
      virgin = 0;
      t3d_set_orient_table( orient, &rot_quad_table);
   }
   *matqr =  &orient[orid];
} /* t3d_get_orientation */


int 
t3d_get_rotated_orient_id  _P2(
   (int,        orid),
   (T3D_ROTQUAD, rot))
{
   int  new_ori;
   /* assuming t3d_set_orient_table() was called!! */
   new_ori = rot_quad_table.orient[orid][rot];
   DPR0((stderr, "%d := rot_quad_table[%d][%d]\n", new_ori, orid, (int)rot));
   return(new_ori);
} /* t3d_get_rotated_orient_id */




