#define DEBUG 0
#if 0

   view control

#endif


#include <stdio.h>
#include <X11/Intrinsic.h>
#include <phigs/phigs.h>
#include "stdefun.h"
#include "view.h"
#include "debug.h"


int
t3d_set_view  _P1((T3D_VIEW_PARAMS *, pvp))
{
   Pint  err;
   Pview_rep3  vrep;			/*  view structure */

   peval_view_ori_matrix3( &pvp->vrp, 
                           &pvp->vpn, 
                           &pvp->vup, 
                           &err, vrep.ori_matrix);
   if (err != 0) {
      DPR((stderr,  "view orientation error = %d\n", err));
      return FALSE;
   }

   peval_view_map_matrix3(&pvp->vmap, &err, vrep.map_matrix);
   if (err != 0) {
      DPR((stderr, "view mapping error = %d\n", err));
      return FALSE;
   }

   Dmat3("t3d_do_view's map_matrix=", vrep.map_matrix);
   vrep.clip_limit =  pvp->vmap.proj_vp;
   vrep.xy_clip = PIND_NO_CLIP;
   vrep.back_clip = PIND_NO_CLIP;
   vrep.front_clip = PIND_NO_CLIP;
   pset_view_rep3( 1, 1, &vrep);
   pupd_ws( 1, PFLAG_PERFORM);

   Dt3d_view_status("t3d_do_view()-done");
   return TRUE;
} /* t3d_set_view */
