#ifndef cOnfIg
#define cOnfIg

#include "orient.h"
#include "fourcube.h"
#include "stdefun.h"

typedef unsigned long int  T3D_LEVEL_MASK;

#define T3D_XY_POS(x,y)  (4*(x) + (y))
#define T3D_XY_BIT(x,y)  (1L << T3D_XY_POS(x,y))


typedef struct {
   T3D_4CUBES       c;
   T3D_LEVEL_MASK   mask_level[4];
   T3D_IXYZ         shift,
                   minmax[2];
} T3D_CONFIG;
typedef struct {
   T3D_CONFIG   orient[T3D_N_ORIENT];
} T3D_CONFIG_ORIENT;


extern void
t3d_make_piece_config  ARGS((
   T3D_CONFIG_ORIENT    *co, 
   T3D_4CUBES           *piece));


#endif /* cOnfIg */
