#if 0

   grid cap for settled cubes.

#endif

#include "phigs/phigs.h"
#include "gridcap.h"
#include "baseid.h"
#include "colorid.h"
#include "debug.h"

#undef ppolyline3

void
t3d_grid_cap()
{
   int           i, j;
   Ppoint3       p[2];
   Ppoint_list3  pl;
   Pfloat        xy, d;

   pl.points = p;
   pl.num_points = 2;

   p[0].z = p[1].z = 1.;
   for (i = 0;  i < 15;  i++) {

      popen_struct( T3D_ID_GRID_CAP + i );
      pset_linewidth( 0.8);
      pset_line_colr_ind( t3d_colorid(T3D_CLR_BLACK) );

      d = 1. / (Pfloat)(i + 1);
      for (j = 1;  j <= i;  j++) {
         xy = d * (Pfloat)j;

         p[0].x = p[1].x = xy;
         p[0].y = 0.;
         p[1].y = 1.;
         ppolyline3(&pl);

         p[0].y = p[1].y = xy;
         p[0].x = 0.;
         p[1].x = 1.;
         ppolyline3(&pl);

      }
      pclose_struct();
   }
} /* t3d_space_grid */

