#ifndef _P1

/* Do function definition either Ansi-C or K&R  */

/*  Should be "#if __STDC__", but some compiler K&R-transition mode,
 *  Just define __STDC__, not setting it to 1.
 */
#ifdef __STDC__
# if __STDC__ != 1
#  define __STDC__  1
# endif
#endif

#if __STDC__ || _CENTERLINE_ || SABER

#  define NeedFunctionPrototypes  1
#  define ARGS(x)      x
#  define _inPar(t,n)  t  n
#  define _outPar(t,n)

   /* braces in structure initialization sometimes only in ANSI-C! */
#  define  _L  {  
#  define  _R  }

#else 

#  define ARGS(x)      ()
#  define _inPar(t,n)  n
#  define _outPar(t,n) t  n;

#  define  _L
#  define  _R

#endif


#if 0  /* -------------  par.awk  ------------------- */
 DUM##  !! PLease   d e l e t e   all DUM strings
 DUM## ??par?? - produce C-pre-processor defs for stdefun.h
 DUM## Usage:  awk -f ??par?? < \dev\null
 DUM##

BEGIN {
    for (n = 1;  n <= 16;  n++) {

        DUM########
        DUM## Header
        printf("#define _P%d(", n)
        for (i = 1;  i < n;  i++) {
            printf("p%d,", i)
        }
        printf("p%d)", n)

        DUM#################
        DUM## in parenthesis
        printf("  (")
        for (i = 1;  i < n;  i++) {
            printf("\\\n   _inPar p%d,", i);
        }
        printf("\\\n   _inPar p%d)", i);

        DUM##################                     
        DUM## out parenthesis
        for (i = 1;  i <= n;  i++) {
            printf("\\\n   _outPar p%d", i);
        }
        printf("\n");
    }
}

 DUM## No input!!
{}


END {
}
#endif /* -----------  End of  par.awk  --------------*/


#define _P1(p1)  (\
   _inPar p1)\
   _outPar p1
#define _P2(p1,p2)  (\
   _inPar p1,\
   _inPar p2)\
   _outPar p1\
   _outPar p2
#define _P3(p1,p2,p3)  (\
   _inPar p1,\
   _inPar p2,\
   _inPar p3)\
   _outPar p1\
   _outPar p2\
   _outPar p3
#define _P4(p1,p2,p3,p4)  (\
   _inPar p1,\
   _inPar p2,\
   _inPar p3,\
   _inPar p4)\
   _outPar p1\
   _outPar p2\
   _outPar p3\
   _outPar p4
#define _P5(p1,p2,p3,p4,p5)  (\
   _inPar p1,\
   _inPar p2,\
   _inPar p3,\
   _inPar p4,\
   _inPar p5)\
   _outPar p1\
   _outPar p2\
   _outPar p3\
   _outPar p4\
   _outPar p5
#define _P6(p1,p2,p3,p4,p5,p6)  (\
   _inPar p1,\
   _inPar p2,\
   _inPar p3,\
   _inPar p4,\
   _inPar p5,\
   _inPar p6)\
   _outPar p1\
   _outPar p2\
   _outPar p3\
   _outPar p4\
   _outPar p5\
   _outPar p6
#define _P7(p1,p2,p3,p4,p5,p6,p7)  (\
   _inPar p1,\
   _inPar p2,\
   _inPar p3,\
   _inPar p4,\
   _inPar p5,\
   _inPar p6,\
   _inPar p7)\
   _outPar p1\
   _outPar p2\
   _outPar p3\
   _outPar p4\
   _outPar p5\
   _outPar p6\
   _outPar p7
#define _P8(p1,p2,p3,p4,p5,p6,p7,p8)  (\
   _inPar p1,\
   _inPar p2,\
   _inPar p3,\
   _inPar p4,\
   _inPar p5,\
   _inPar p6,\
   _inPar p7,\
   _inPar p8)\
   _outPar p1\
   _outPar p2\
   _outPar p3\
   _outPar p4\
   _outPar p5\
   _outPar p6\
   _outPar p7\
   _outPar p8
#define _P9(p1,p2,p3,p4,p5,p6,p7,p8,p9)  (\
   _inPar p1,\
   _inPar p2,\
   _inPar p3,\
   _inPar p4,\
   _inPar p5,\
   _inPar p6,\
   _inPar p7,\
   _inPar p8,\
   _inPar p9)\
   _outPar p1\
   _outPar p2\
   _outPar p3\
   _outPar p4\
   _outPar p5\
   _outPar p6\
   _outPar p7\
   _outPar p8\
   _outPar p9
#define _P10(p1,p2,p3,p4,p5,p6,p7,p8,p9,p10)  (\
   _inPar p1,\
   _inPar p2,\
   _inPar p3,\
   _inPar p4,\
   _inPar p5,\
   _inPar p6,\
   _inPar p7,\
   _inPar p8,\
   _inPar p9,\
   _inPar p10)\
   _outPar p1\
   _outPar p2\
   _outPar p3\
   _outPar p4\
   _outPar p5\
   _outPar p6\
   _outPar p7\
   _outPar p8\
   _outPar p9\
   _outPar p10
#define _P11(p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11)  (\
   _inPar p1,\
   _inPar p2,\
   _inPar p3,\
   _inPar p4,\
   _inPar p5,\
   _inPar p6,\
   _inPar p7,\
   _inPar p8,\
   _inPar p9,\
   _inPar p10,\
   _inPar p11)\
   _outPar p1\
   _outPar p2\
   _outPar p3\
   _outPar p4\
   _outPar p5\
   _outPar p6\
   _outPar p7\
   _outPar p8\
   _outPar p9\
   _outPar p10\
   _outPar p11
#define _P12(p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11,p12)  (\
   _inPar p1,\
   _inPar p2,\
   _inPar p3,\
   _inPar p4,\
   _inPar p5,\
   _inPar p6,\
   _inPar p7,\
   _inPar p8,\
   _inPar p9,\
   _inPar p10,\
   _inPar p11,\
   _inPar p12)\
   _outPar p1\
   _outPar p2\
   _outPar p3\
   _outPar p4\
   _outPar p5\
   _outPar p6\
   _outPar p7\
   _outPar p8\
   _outPar p9\
   _outPar p10\
   _outPar p11\
   _outPar p12
#define _P13(p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11,p12,p13)  (\
   _inPar p1,\
   _inPar p2,\
   _inPar p3,\
   _inPar p4,\
   _inPar p5,\
   _inPar p6,\
   _inPar p7,\
   _inPar p8,\
   _inPar p9,\
   _inPar p10,\
   _inPar p11,\
   _inPar p12,\
   _inPar p13)\
   _outPar p1\
   _outPar p2\
   _outPar p3\
   _outPar p4\
   _outPar p5\
   _outPar p6\
   _outPar p7\
   _outPar p8\
   _outPar p9\
   _outPar p10\
   _outPar p11\
   _outPar p12\
   _outPar p13
#define _P14(p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11,p12,p13,p14)  (\
   _inPar p1,\
   _inPar p2,\
   _inPar p3,\
   _inPar p4,\
   _inPar p5,\
   _inPar p6,\
   _inPar p7,\
   _inPar p8,\
   _inPar p9,\
   _inPar p10,\
   _inPar p11,\
   _inPar p12,\
   _inPar p13,\
   _inPar p14)\
   _outPar p1\
   _outPar p2\
   _outPar p3\
   _outPar p4\
   _outPar p5\
   _outPar p6\
   _outPar p7\
   _outPar p8\
   _outPar p9\
   _outPar p10\
   _outPar p11\
   _outPar p12\
   _outPar p13\
   _outPar p14
#define _P15(p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11,p12,p13,p14,p15)  (\
   _inPar p1,\
   _inPar p2,\
   _inPar p3,\
   _inPar p4,\
   _inPar p5,\
   _inPar p6,\
   _inPar p7,\
   _inPar p8,\
   _inPar p9,\
   _inPar p10,\
   _inPar p11,\
   _inPar p12,\
   _inPar p13,\
   _inPar p14,\
   _inPar p15)\
   _outPar p1\
   _outPar p2\
   _outPar p3\
   _outPar p4\
   _outPar p5\
   _outPar p6\
   _outPar p7\
   _outPar p8\
   _outPar p9\
   _outPar p10\
   _outPar p11\
   _outPar p12\
   _outPar p13\
   _outPar p14\
   _outPar p15
#define _P16(p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11,p12,p13,p14,p15,p16)  (\
   _inPar p1,\
   _inPar p2,\
   _inPar p3,\
   _inPar p4,\
   _inPar p5,\
   _inPar p6,\
   _inPar p7,\
   _inPar p8,\
   _inPar p9,\
   _inPar p10,\
   _inPar p11,\
   _inPar p12,\
   _inPar p13,\
   _inPar p14,\
   _inPar p15,\
   _inPar p16)\
   _outPar p1\
   _outPar p2\
   _outPar p3\
   _outPar p4\
   _outPar p5\
   _outPar p6\
   _outPar p7\
   _outPar p8\
   _outPar p9\
   _outPar p10\
   _outPar p11\
   _outPar p12\
   _outPar p13\
   _outPar p14\
   _outPar p15\
   _outPar p16


#endif /* _P1 */
